=== debian/changelog ===
qemu (1.3.0+dfsg-5expubuntu4) raring; urgency=low

  * Update workarounds for udev/inotify:  (LP: #1092715)
    - qemu-system-common.udev: go back to original, simple rule
    - qemu-system-common.postinst: manually run setfacl
    - (keep Depends: on acl as well)
    - this can be removed once bug 1092715 is fixed.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 19 Feb 2013 12:41:22 -0600

qemu (1.3.0+dfsg-5expubuntu3) raring; urgency=low

  * Now that qemu provides spice support, and qemu-kvm-spice is removed from
    the archive, have qemu-kvm (which qemu-kvm-spice always depended on)
    P/C/R qemu-kvm-spice.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 14 Feb 2013 13:43:27 -0600

qemu (1.3.0+dfsg-5expubuntu2) raring; urgency=low

  * Enable spice.
  * Address lintian warning by adding ${misc:Depends} to qemu-common and
    qemu-kvm.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 12 Feb 2013 16:07:04 -0600

qemu (1.3.0+dfsg-5expubuntu1) raring; urgency=low

  [ Serge Hallyn ]
  * Merge 1.3.0+dfsg-5exp from Debian.
  * remaining changes from 1.3.0+dfsg-1~exp3ubuntu1:
    - debian/control:
      * update maintainer
      * remove vde2 recommends
      * build-deps: remove libusbredir, libvdeplug2-dev,
        libspice-server-dev, libspice-protocol-dev, libiscsi-dev
      * qemu-system:
        - break/replace qemu-common
        - depend on udev
        - remove openbios-ppc, openbios-sparc, and openhackware from
          Depends.  (Intend to add them back once we can build them.)
      * qemu-utils: break/replace qemu-kvm
    - qemu-kvm.upstart:
      - add qemu-system.qemu-kvm.upstart
      - debian/rules: add dh_installinit to get qemu-system.upstart installed.
      - take the defaults from the old qemu-kvm.defaults, and move them into
        the upstart job
    - debian/patches:
      - apply gridcentric patches from lp:~amscanne/+junk/gridcentric-qemu-patches
      - apply arm patches from git://git.linaro.org/qemu/qemu-linaro.git
    - add links for qemu-ifup/down in qemu-system-common.links
    - debian/qemu-system-common.postinst
      - udevadm trigger to fix up /dev/kvm perms
    - debian/qemu-system.links:
      - remove pxe-virtio, pxe-e1000 and pxe-rtl8139 links (which conflict
        with ones from kvm-ipxe).  We may want to move the links from kvm-ipxe
        back to qemu-system at some point.
  * remaining changes from after 1.3.0+dfsg-1~exp3ubuntu1:
    - qemu-system-common.links: add link for OVMF
    - Add qemu-utils.links for kvm-img and kvm-nbd utils and manpages.
    - qemu-system.links:
      * Add link to usr/share/ovmf/OVMF.fd
      * Fix target of /etc/kvm/kvm-if{up,down} links
    - debian/control: qemu-system should Recommend cpu-checker
    - Add qemu-kvm breaks/replaces to qemu-user, to handle conflict over
      (i.e.) qemu-x86_64.
    - add qemu-kvm, and qemu-common transitional packages.
    - Add breaks/replaces to qemu-keymaps for qemu-system.
    - Add provides: qemu-kvm and kvm to qemu-system-ppc.
    - Add breaks/replaces to qemu-system-ppc for qemu-kvm and qemu-common.
    - Add breaks/replaces to qemu-kvm for qemu-common.
    - Add breaks/replaces to qemu-utils for qemu-user and qemu-kvm.
    - Add armhf, armel, powerpc and sparc arches to qemu-kvm transitional
      package.
    - Add qemu-common package.
    - Make sure /dev/kvm gets its acls cleared:
      * Add acl to qemu-system.depends
      * update qemu-system.udev to run setfacl to set g::rw acl
    - Remove vnc-jpeg, libiscsi-dev, and vde from debian/configure-opts
  * dropped debian/patches/CVE-2012-6075.patch (duplicate of
    e1000-discard-oversize-packets-based-on-SBP_LPE.patch)
  * debian/{control,configure-opts}: enable rbd (LP: #1118406)
  * add symlink for kvm.1 -> qemu.1 manpage (LP: #1117636)
  * add replaces to qemu-system-common for qemu - we briefly moved conflicting
    docs to qemu, which debian moved to qemu-system-common.  This can be
    dropped after raring.
  * move qemu-kvm.upstart from qemu-system to qemu-system-x86.
  * Support upgrade from qemu-kvm on non-x86 arches:
    - Add Provides: qemu-kvm, kvm to qemu-system-{arm,ppc,sparc,x86}
    - Add Breaks/Replaces for qemu-{common,system,kvm} and kvm.
  * Re-add expose_vms_qemu64cpu.patch (from Daviey) from quantal.
  
  [ Steve Langasek ]
  * Pass --enable-uname-release=2.6.32 for the user emulation builds, so that
    we have a sensible baseline kernel value regardless of what the
    underlying host kernel is.  This makes eglibc happier when running under
    emulation on a very old kernel for instance (whose host syscall ABI has
    nothing to do with what emulated syscalls are supported), and probably
    also lets us steer clear for the moment of code that has problem with
    the new kernel upstream versioning convention.  LP: #921078.

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Thu, 07 Feb 2013 14:15:26 -0600

qemu (1.3.0+dfsg-5exp) experimental; urgency=low

  * qemu-system-split: split qemu-system into several target-specific packages:
    qemu-system-arm, qemu-system-mips, qemu-system-ppc, qemu-system-sparc,
    qemu-system-x86, and qemu-system-misc, plus qemu-system-common.
    (Closes: #636000)
  * add initial qemu-guest-agent package (just the binary for now,
    no startup script) (Closes: #676959)
  * do not try to install (linux-specific) virtfs-proxy-helper on kfreebsd
  * change order of audio drivers, in particular put pulseaudio (pa) first
  * ship OS-specific qemu-ifup (use trivial ifconfig invocation on kfreebsd)
  * qemu-system replaces qemu-utils due to virtfs-proxy-helper binary
  * chmod +x qemu-ifdown

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 28 Jan 2013 15:05:57 +0400

qemu (1.3.0+dfsg-4exp) experimental; urgency=low

  * install forgotten /etc/qemu-ifdown (dummy, but qemu complains without it)
  * install virtfs-proxy-helper in qemu-system not qemu-utils
  * add qemu-kvm.NEWS mentioning transition from qemu-kvm to qemu-system-x86_64.

