=== debian/control ===
Source: qemu
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>,
	Riku Voipio <riku.voipio@iki.fi>,
	Vagrant Cascadian <vagrant@debian.org>,
	Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper (>= 9),
# In comments below we also specify (system-specific) arguments
# to qemu's configure script, -- optional features which depend
# on build-dependencies.
# pc-bios/*.dts => *.dtb (PPC firmware)
 device-tree-compiler,
 texi2html,
 texinfo,
 python,
# --enable-linux-aio	linux-*
 libaio-dev [linux-any],
# --audio-drv-list=pa,alsa,sdl,oss	linux-*
# --audio-drv-list=pa,oss,sdl		kfreebsd-*
 libasound2-dev [linux-any],
# for virtfs
# --enable-attr
 libattr1-dev,
# --enable-bluez	linux-*
 libbluetooth-dev [linux-any],
# --enable-brlapi
 libbrlapi-dev,
# --enable-virtfs	linux-*
# needed for virtfs
 libcap-dev [linux-any],
# --enable-cap-ng	linux-*
 libcap-ng-dev [linux-any],
# --enable-curl
 libcurl4-gnutls-dev,
# --enable-fdt
 libfdt-dev,
# --enable-vnc-tls
# --enable-vnc-ws
 libgnutls-dev,
# --enable-curses
 libncurses5-dev,
# --with-system-pixman
 libpixman-1-dev,
# audio-drv-list += pa
 libpulse-dev,
# --enable-vnc-sasl
 libsasl2-dev,
# --enable-sdl
 libsdl1.2-dev (>> 1.2.1),
# --enable-seccomp	linux-amd64|linux-i386
 libseccomp-dev (>> 1.0.0) [linux-amd64 linux-i386],
# --enable-spice	linux-amd64|linux-i386
 libspice-server-dev (>= 0.12.2~) [linux-amd64 linux-i386],
# needed for sdl
 libx11-dev,
# --enable-xen	linux-amd64|linux-i386
 libxen-dev [linux-amd64 linux-i386],
# XXX need to check minimum linux-headers requiriment
 linux-libc-dev (>= 2.6.34) [linux-any],
# --enable-uuid
 uuid-dev,
# --enable-xfsctl	linux-*
 xfslibs-dev [linux-any],
# always needed
 zlib1g-dev,
# other optional features we enable
# --enable-vnc
# --enable-vnc-png
# --enable-kvm		linux-*
# --enable-vhost-net	linux-*	# is it really linux-specific?
##--enable-glusterfs todo
# --enable-rbd
 librados-dev, librbd-dev,
Build-Conflicts: oss4-dev
Standards-Version: 3.9.4
Homepage: http://www.qemu.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-qemu/qemu.git
Vcs-Git: git://anonscm.debian.org/pkg-qemu/qemu.git

Package: qemu
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${misc:Depends}, qemu-system (>= ${source:Version}), qemu-user (>= ${source:Version}) [linux-any], qemu-utils (>= ${source:Version})
Suggests: qemu-user-static [linux-any]
Description: fast processor emulator
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs. QEMU has
 two operating modes:
 .
  * User mode emulation: QEMU can launch Linux processes compiled for
    one CPU on another CPU.
  * Full system emulation: QEMU emulates a full system, including a
    processor and various peripherals. It enables easier testing and
    debugging of system code. It can also be used to provide virtual
    hosting of several virtual machines on a single server.
 .
 As QEMU requires no host kernel patches to run, it is very safe and
 easy to use.
 .
 This package is a metapackage depending on all qemu-related packages.

Package: qemu-keymaps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: qemu-system (<< 0.12.4+dfsg-4), qemu-common (<< 1.2.0.dfsg-1)
Replaces: qemu-system (<< 0.12.4+dfsg-4), qemu-common (<< 1.2.0.dfsg-1)
Description: QEMU keyboard maps
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides keyboard maps to be used by the qemu-system
 package or QEMU derivatives.

Package: qemu-system
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${misc:Depends},
 qemu-system-arm,
 qemu-system-mips,
 qemu-system-ppc, 
 qemu-system-sparc, 
 qemu-system-x86,
 qemu-system-misc 
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries. In this mode
 QEMU emulates a full system, including a processor and various
 peripherals. It enables easier testing and debugging of system code.
 It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-common
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, udev, acl
Pre-Depends: adduser
Breaks:
# qemu-common is ubuntu package
  qemu-common (<< 1.2.0.dfsg-1),
# qemu-system before qemu-system-split
  qemu-system (<< 1.3.0+dfsg-5),
# qemu-utils had virtfs-proxy-helper
  qemu-utils (<< 1.3.0+dfsg-4),
# iproute before 20110315 were unable to deal with bridge (set master device)
  iproute (<< 20110315-1)
Replaces:
  qemu (<< 1.3.0+dfsg-5),
  qemu-common (<< 1.2.0.dfsg-1),
  qemu-system (<< 1.3.0+dfsg-5),
  qemu-utils (<< 1.3.0+dfsg-4),
Description: QEMU full system emulation binaries (common files)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries. In this mode
 QEMU emulates a full system, including a processor and various
 peripherals. It enables easier testing and debugging of system code.
 It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-misc
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 qemu-system-common (>= ${source:Version}), qemu-keymaps (>= ${source:Version}),
Provides: ${sysprovides:misc}
Breaks: qemu-system (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5)
Recommends: qemu-utils
Suggests: samba, vde2
Description: QEMU full system emulation binaries (miscelaneous)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, M68k (ColdFire), MicroBlaze, and SH4
 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 various other hardware which did not made into separate packages.
 Emulators for the following architectures are provided:
  ${sysarch:misc}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-arm
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 qemu-system-common (>= ${source:Version}), qemu-keymaps (>= ${source:Version}),
Provides: ${sysprovides:arm}, qemu-kvm
Breaks:
  qemu-common (<< 1.3.0+dfsg-5),
  qemu-system (<< 1.3.0+dfsg-5),
  qemu-kvm (<< 1.2.0.dfsg-1),
  kvm (<< 1.3.0+dfsg-5)
Replaces:
  qemu-common (<< 1.3.0+dfsg-5),
  qemu-system (<< 1.3.0+dfsg-5),
  qemu-kvm (<< 1.2.0.dfsg-1),
  kvm (<< 1.3.0+dfsg-5)
Recommends: qemu-utils
Suggests: samba, vde2
Description: QEMU full system emulation binaries (arm)
 QEMU is a fast processor emulator: currently the package supports
 ARM emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 the following arm hardware: ${sysarch:arm}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-mips
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 qemu-system-common (>= ${source:Version}), qemu-keymaps (>= ${source:Version}),
Provides: ${sysprovides:mips}
Breaks: qemu-system (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5)
Recommends: qemu-utils
Suggests: samba, vde2
Description: QEMU full system emulation binaries (mips)
 QEMU is a fast processor emulator: currently the package supports
 MIPS emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 the following mips hardware: ${sysarch:mips}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-ppc
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 qemu-system-common (>= ${source:Version}), qemu-keymaps (>= ${source:Version}),
Provides: ${sysprovides:ppc}, qemu-kvm
Breaks: qemu-system (<< 1.3.0+dfsg-5), qemu-kvm (<< 1.2.0.dfsg-1), qemu-common (<< 1.2.0.dfsg-1), kvm (<< 1.3.0+dfsg-5)
Replaces: qemu-system (<< 1.3.0+dfsg-5), qemu-kvm (<< 1.2.0.dfsg-1), qemu-common (<< 1.2.0.dfsg-1), kvm (<< 1.3.0+dfsg-5)
Recommends: qemu-utils
Suggests: samba, vde2
Description: QEMU full system emulation binaries (ppc)
 QEMU is a fast processor emulator: currently the package supports
 PowerPC emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides the full system emulation binaries to emulate
 the following PowerPC hardware: ${sysarch:ppc}.
 .
 In system emulation mode QEMU emulates a full system, including a processor
 and various peripherals.  It enables easier testing and debugging of system
 code.  It can also be used to provide virtual hosting of several virtual
 machines on a single server.

Package: qemu-system-sparc
Architecture: amd64 arm armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc ppc64 s390x sparc sparc64
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 qemu-system-common (>= ${source:Version}), qemu-keymaps (>= ${source:Version}),
Provides: ${sysprovides:sparc}, qemu-kvm
Breaks:
  qemu-common (<< 1.3.0+dfsg-5),
  qemu-system (<< 1.3.0+dfsg-5),
  qemu-kvm (<< 1.2.0.dfsg-1),
  kvm (<< 1.3.0+dfsg-5)
Replaces:
  qemu-common (<< 1.3.0+dfsg-5),
  qemu-system (<< 1.3.0+dfsg-5),
  qemu-kvm (<< 1.2.0.dfsg-1),
  kvm (<< 1.3.0+dfsg-5)
Recommends: qemu-utils
Suggests: samba, vde2
Description: QEMU full system emulation binaries (sparc)
 QEMU is a fast processor emulator: currently the package supports
