=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
+# we add another set of configure options from debian/control
 common_configure_opts = \
 	--with-pkgversion="Debian $(DEB_VERSION)" \
 	--extra-cflags="$(CFLAGS)" \
@@ -31,6 +32,7 @@
 	--with-system-pixman \
 	--interp-prefix=/etc/qemu-binfmt/%M \
 	--localstatedir=/var \
+	--audio-card-list=ac97,es1370,sb16,cs4231a,adlib,gus,hda \
 	--enable-uname-release=2.6.32 \
 
 # list of system (softmmu) targets, from ./configure
@@ -90,10 +92,11 @@
 
 	# system build
 	mkdir -p qemu-build && cd qemu-build && \
-		../configure ${common_configure_opts} \
-			--enable-system --disable-user ${enable_linux_user} \
-			$(shell sh debian/configure-opts $(DEB_HOST_ARCH) $(DEB_HOST_ARCH_OS)) \
-			$(QEMU_CONFIGURE_OPTIONS)
+	   ../configure ${common_configure_opts} \
+		--enable-system --disable-user ${enable_linux_user} \
+		$(shell sh debian/extract-config-opts \
+		    $(DEB_HOST_ARCH_OS)-$(DEB_HOST_ARCH) debian/control) \
+		$(QEMU_CONFIGURE_OPTIONS)
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 # Hack alert.  qemu-1.3 still needs this.
@@ -161,7 +164,7 @@
 	mkdir -p debian/qemu-system-$1/usr/share/man/man1 debian/qemu-system-$1/usr/bin
 	for t in ${sysarch_$1}; do \
 	    mv debian/tmp/usr/bin/qemu-system-$$t debian/qemu-system-$1/usr/bin/; \
-	    echo ".so qemu.1" > debian/qemu-system-$1/usr/share/man/man1/qemu-system-$$t.1; \
+	    echo ".so man1/qemu.1" > debian/qemu-system-$1/usr/share/man/man1/qemu-system-$$t.1; \
 	done
 	echo sysarch:$1=${sysarch_$1} > debian/qemu-system-$1.substvars
 	echo sysprovides:$1=${addprefix qemu-system-,${filter-out $1,${sysarch_$1}}} | \
@@ -187,6 +190,10 @@
 # How about a manpage for it?
 ifneq ($(filter $(DEB_HOST_ARCH),amd64 i386),)
 	dh_install -pqemu-system-x86 debian/kvm /usr/bin/
+	mkdir -p debian/qemu-kvm/usr/bin
+	ln -s kvm debian/qemu-kvm/usr/bin/kvm-spice
+	ln -s qemu-system-x86_64 debian/qemu-kvm/usr/bin/qemu-system-x86_64-spice
+	dh_installmodules -pqemu-system-x86
 endif
 
 # virtfs-proxy-helper is linux-specific
@@ -227,21 +234,3 @@
 
 # qemu-ifup is arch-specific
 	install -D debian/qemu-ifup.$(DEB_HOST_ARCH_OS) \
-		debian/qemu-system-common/etc/qemu-ifup
-
-	dh_install --list-missing
-	dh_installdocs
-	dh_installinit -pqemu-system-x86 --no-restart-on-upgrade --error-handler=true --name=qemu-kvm
-	dh_installchangelogs Changelog
-	dh_installudev
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary-indep: install
